package com.csc.library.properties;

import com.csc.library.request.RequestWebsocket;
import com.csc.library.response.ResponseWebsocket;

public interface HandlePackage<Session> {
	public boolean isExistsRequest(Session session, String reqId);
	
	public void onRequest(Session session , RequestWebsocket req);
	public void onResponse(Session session , ResponseWebsocket res);
	/* Ǩͺ   Request ͡ */
	public boolean validateSendRequest(Session session , RequestWebsocket req);
	/* Ǩͺ   Response ͡ */
	public boolean validateSendResponse(Session session , ResponseWebsocket req);
	
	public void send(Session session , String jsonSting);
}
