package com.csc.library.response;

import com.csc.library.request.CommandState;
import com.csc.library.request.RequestWebsocket;

public class ResponsePropertiesImpl implements ResponseWebsocket{
	private String requestid;
	private String message;
	private CommandState stateCommand;
	private ResponseStatus statusCode;
	private ResponseData data = null;//new ResDataImpl();
	
	public void setRequestWebsocket(RequestWebsocket req){
		this.requestid = req.getRequestId();
	}
	
	public void setResponseData(ResponseData resData){
		this.data = resData;
	}
	
	public void setMessage(String message){
		this.message = message;
	}
	
	public void setResponseStatus(ResponseStatus state){
		this.statusCode = state;
	}
	
	public void setStateCommand(CommandState state){
		this.stateCommand = state;
	}
	
	@Override
	public String getRequestId() {
		return this.requestid;
	}
	@Override
	public String getMessage() {
		return this.message;
	}
	@Override
	public ResponseStatus getStatus() {
		return this.statusCode;
	}
	@Override
	public ResponseData getData() {
		return this.data;
	}
	public CommandState getCommandState(){
		return this.stateCommand;
	}
	
	public void clear(){
		this.requestid="";
		this.message="";
		this.statusCode = ResponseStatus.NoAction;
		this.data = null;
		this.stateCommand = CommandState.noAction;
	}
}
