package com.csc.library.response;

public enum ResponseStatus {
	NoAction(0 , "No Action"),
	Receive(1 , "Server Receive Request"),
	SendMessage(2 , "Server Response Message"),
	Finish(3 , "Request Finish"),
	Error(4 , "Request Error");
	
	int code = 0;
	String description = "";
	private ResponseStatus(int code , String description){
		this.code = code;
	}
	
	public int getCode(){
		return this.code;
	}
	public String getDescription(){
		return this.description;
	}
}
